Package Gnumed :: Package wxpython :: Package patient :: Module gmGP_Prescriptions |
[frames] | no frames]

# Module gmGP_Prescriptions

source code

Classes
| PrescriptionPanel
| gmGP_Prescriptions Plugin to encapsulate the prescriptions window

Variables
| ID_SCRIPTICON = `wxNewId()`
| ID_SCRIPTLIST = `wxNewId()`
| ID_SCRIPTMENU = `wxNewId()`
| ID_POPUP1 = `wxNewId()`
| gmSECTION_SCRIPT = `8`
| ID_AuthInd = `wxNewId()`
| ID_Interactions = `wxNewId()`
| ID_PregInfo = `wxNewId()`
| ID_Restrictions = `wxNewId()`
| ID_EditItem = `wxNewId()`
| ID_DelItem = `wxNewId()`
| ID_DelAll = `wxNewId()`
| ID_MakeItemReg24 = `wxNewId()`
| ID_DrugInfoBrief = `wxNewId()`
| ID_DrugInfoFull = `wxNewId()`
| ID_PrintItem = `wxNewId()`
| ID_PrintAll = `wxNewId()`
| ID_ReprintItem = `wxNewId()`
| ID_ReprintAll = `wxNewId()`
| ID_JustSaveItem = `wxNewId()`
| ID_JustSaveAll = `wxNewId()`
| ID_ChangeFont = `wxNewId()`
| ID_SaveListLayout = `wxNewId()`
| ID_Help = `wxNewId()`
| ID_Exit = `wxNewId()`
| scriptdata = `{1:("Fluvax", "0.5ml", "to be injected by the doc`...``
| scriptprompts = `{1:("Prescribe For"), 2:("Class"), 3:("Generic`...``

Imports: wxversion, wx, gmGuiElement_HeadingCaptionPanel, gmGuiElement_DividerCaptionPanel, gmGuiElement_AlertCaptionPanel, gmEditArea, gmPlugin_Patient, PatientHolder

Variables Details

  ### scriptdata Value:
      {1:("Fluvax", "0.5ml", "to be injected by the doctor", "flu immunisati
      on"), 2:("Tenormin", "50mg", "1 daily", "hypertension"), 3:("Ceclor CD
      ", "375mg", "1 twice daily", "sinusitis"),}

  ### scriptprompts Value:
      {1:("Prescribe For"), 2:("Class"), 3:("Generic"), 4:("Brand"), 5:("Str
      ength"), 6:("Directions"), 7:("For"), 8:("Progress Notes"), 9:(""),}